2019-08-26 00:35 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005528Spring engineGeneralpublic2017-05-07 02:13
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005528: 103.0.1-764 crash on game launch
DescriptionHere are some crashes on game launch. The last is possibly due to a poor graphics card, I do not know what causes the others.
https://github.com/ZeroK-RTS/CrashReports/issues/802
https://github.com/ZeroK-RTS/CrashReports/issues/795
https://github.com/ZeroK-RTS/CrashReports/issues/794
https://github.com/ZeroK-RTS/CrashReports/issues/793
https://github.com/ZeroK-RTS/CrashReports/issues/791
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
has duplicate 0005542resolvedKloot Spring crashes when launching game via chobby 
+Relationships

-Notes

~0017466

Kloot (developer)

802 points to memory corruption:
  rts/lib/lua/src/ltable.cpp:457
  ...
  rts/lib/lua/src/lvm.cpp:613
  rts/lib/lua/src/lapi.cpp:813
  rts/lib/lua/src/ldo.cpp:119
  rts/Lua/LuaHandle.cpp:382
  rts/lib/lua/src/lapi.cpp:460
  rts/lib/lua/src/lapi.cpp:432
  rts/Lua/LuaHandle.h:350
  rts/System/EventHandler.cpp:645
  rts/Game/UI/MouseHandler.cpp:320
  rts/System/Input/MouseInput.cpp:89

795, 794, and 793 only have msvcrt.dll in them.

791 is an Intel crash which either caused a running map download to fail or happened in conjunction with it: "[f=-000001] Error: Error opening "C:\Users\Emi\Documents\My Games\Zero-K\maps\titan-v2.sd7": Unexpected end of file (truncated?)"

~0017478

Google_Frog (reporter)

Here are four more with the same circumstances and version:
https://github.com/ZeroK-RTS/CrashReports/issues/810
https://github.com/ZeroK-RTS/CrashReports/issues/812
https://github.com/ZeroK-RTS/CrashReports/issues/823
https://github.com/ZeroK-RTS/CrashReports/issues/825

~0017479

Google_Frog (reporter)

Missed one: https://github.com/ZeroK-RTS/CrashReports/issues/811

~0017480

Kloot (developer)

810 (probably already fixed upstream)
  rts/Sim/Misc/TeamHandler.h:58
  rts/Game/UI/PlayerRoster.cpp:122
  rts/Game/UI/PlayerRosterDrawer.cpp:34
  rts/Game/Game.cpp:1400
  rts/Game/Game.cpp:1314
  rts/System/SpringApp.cpp:862
  rts/System/SpringApp.cpp:892
  rts/System/Main.cpp:44
  rts/System/Main.cpp:95

811, 823, and 825 just contain msvcrt.dll so are not usable.

812 (memory corruption)
  rts/System/SpringHashMap.hpp:536
  rts/Map/SMF/SMFGroundDrawer.cpp:518
  rts/Map/SMF/SMFReadMap.cpp:929
  rts/lib/lua/src/ldo.cpp:321
  rts/lib/lua/src/lvm.cpp:613
  rts/lib/lua/src/ldo.cpp:378
  ...

~0017563

Kloot (developer)

PlayerRoster corruption except for 791
+Notes

-Issue History
Date Modified Username Field Change
2017-04-18 05:39 Google_Frog New Issue
2017-04-18 10:27 Kloot Note Added: 0017466
2017-04-22 18:46 Google_Frog Note Added: 0017478
2017-04-22 18:52 Google_Frog Note Added: 0017479
2017-04-22 19:25 Kloot Note Added: 0017480
2017-05-05 12:24 Kloot Relationship added has duplicate 0005542
2017-05-07 02:13 Kloot Assigned To => Kloot
2017-05-07 02:13 Kloot Status new => resolved
2017-05-07 02:13 Kloot Resolution open => fixed
2017-05-07 02:13 Kloot Fixed in Version => 103.0 +git
2017-05-07 02:13 Kloot Note Added: 0017563
+Issue History